Build #3 for threepenny-editors-0.5.6

[all reports]

Package threepenny-editors-0.5.6
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2017-10-29 13:48:33.813123896 UTC
Compiler ghc-8.0.2
OS linux
Arch x86_64
Dependencies base-4.9.1.0, bifunctors-5.4.2, casing-0.1.2.1, containers-0.5.7.1, generics-sop-0.3.1.0, profunctors-5.2.1, text-1.2.2.2, threepenny-gui-0.8.2.0
Flags -buildexamples

Build log

[view raw]

Resolving dependencies...
Configuring SHA-1.6.4.2...
Configuring base-orphans-0.6...
Building SHA-1.6.4.2...
Building base-orphans-0.6...
Installed base-orphans-0.6
Configuring base-compat-0.9.3...
Building base-compat-0.9.3...
Installed base-compat-0.9.3
Configuring base64-bytestring-1.0.0.1...
Building base64-bytestring-1.0.0.1...
Installed base64-bytestring-1.0.0.1
Configuring bytestring-builder-0.10.8.1.0...
Building bytestring-builder-0.10.8.1.0...
Installed SHA-1.6.4.2
Configuring cabal-doctest-1.0.2...
Configuring call-stack-0.1.0...
Installed bytestring-builder-0.10.8.1.0
Building cabal-doctest-1.0.2...
Building call-stack-0.1.0...
Configuring clock-0.7.2...
Installed call-stack-0.1.0
Building clock-0.7.2...
Configuring data-default-class-0.1.2.0...
Installed cabal-doctest-1.0.2
Building data-default-class-0.1.2.0...
Configuring dlist-0.8.0.3...
Installed clock-0.7.2
Building dlist-0.8.0.3...
Configuring generics-sop-0.3.1.0...
Installed data-default-class-0.1.2.0
Building generics-sop-0.3.1.0...
Configuring entropy-0.3.8...
Installed dlist-0.8.0.3
Building entropy-0.3.8...
Warning: /tmp/pkgConf-entropy-0.320539999321264095060.8: Unrecognized field
dynamic-library-dirs on line 26
Configuring file-embed-0.0.10.1...
Installed entropy-0.3.8
Building file-embed-0.0.10.1...
Configuring integer-logarithms-1.0.2...
Installed file-embed-0.0.10.1
Building integer-logarithms-1.0.2...
Configuring mtl-2.2.1...
Installed integer-logarithms-1.0.2
Building mtl-2.2.1...
Configuring old-locale-1.0.0.7...
Installed mtl-2.2.1
Building old-locale-1.0.0.7...
Configuring network-2.6.3.2...
Installed old-locale-1.0.0.7
Building network-2.6.3.2...
Configuring primitive-0.6.2.0...
Installed network-2.6.3.2
Building primitive-0.6.2.0...
Configuring random-1.1...
Installed generics-sop-0.3.1.0
Building random-1.1...
Configuring safe-0.3.15...
Installed random-1.1
Building safe-0.3.15...
Configuring split-0.2.3.2...
Installed primitive-0.6.2.0
Building split-0.2.3.2...
Configuring semigroups-0.18.3...
Installed split-0.2.3.2
Configuring stm-2.4.4.1...
Installed safe-0.3.15
Building semigroups-0.18.3...
Building stm-2.4.4.1...
Configuring text-1.2.2.2...
Installed semigroups-0.18.3
Building text-1.2.2.2...
Configuring th-abstraction-0.2.6.0...
Installed stm-2.4.4.1
Building th-abstraction-0.2.6.0...
Configuring time-locale-compat-0.1.1.3...
Installed th-abstraction-0.2.6.0
Building time-locale-compat-0.1.1.3...
Configuring transformers-compat-0.5.1.4...
Installed time-locale-compat-0.1.1.3
Building transformers-compat-0.5.1.4...
Configuring unix-compat-0.4.3.1...
Installed transformers-compat-0.5.1.4
Building unix-compat-0.4.3.1...
Configuring void-0.7.2...
Installed unix-compat-0.4.3.1
Building void-0.7.2...
Configuring zlib-0.6.1.2...
Installed void-0.7.2
Building zlib-0.6.1.2...
Installed text-1.2.2.2
Configuring HUnit-1.6.0.0...
Building HUnit-1.6.0.0...
Configuring data-default-instances-containers-0.0.1...
Installed zlib-0.6.1.2
Building data-default-instances-containers-0.0.1...
Installed HUnit-1.6.0.0
Configuring data-default-instances-dlist-0.0.1...
Building data-default-instances-dlist-0.0.1...
Installed data-default-instances-containers-0.0.1
Configuring regex-base-0.93.2...
Building regex-base-0.93.2...
Installed data-default-instances-dlist-0.0.1
Configuring data-default-instances-old-locale-0.0.1...
Building data-default-instances-old-locale-0.0.1...
Configuring casing-0.1.2.1...
Installed data-default-instances-old-locale-0.0.1
Building casing-0.1.2.1...
Configuring vector-0.12.0.1...
Installed regex-base-0.93.2
Building vector-0.12.0.1...
Configuring async-2.1.1.1...
Installed casing-0.1.2.1
Building async-2.1.1.1...
Configuring StateVar-1.1.0.4...
Installed async-2.1.1.1
Building StateVar-1.1.0.4...
Configuring tagged-0.8.5...
Installed StateVar-1.1.0.4
Building tagged-0.8.5...
Configuring exceptions-0.8.3...
Installed tagged-0.8.5
Building exceptions-0.8.3...
Configuring transformers-base-0.4.4...
Installed exceptions-0.8.3
Building transformers-base-0.4.4...
Installed transformers-base-0.4.4
Configuring blaze-builder-0.4.0.2...
Building blaze-builder-0.4.0.2...
Configuring hashable-1.2.6.1...
Installed blaze-builder-0.4.0.2
Building hashable-1.2.6.1...
Configuring parsec-3.1.11...
Installed hashable-1.2.6.1
Building parsec-3.1.11...
Configuring readable-0.3.1...
Installed vector-0.12.0.1
Building readable-0.3.1...
Installed readable-0.3.1
Configuring zlib-bindings-0.1.1.5...
Building zlib-bindings-0.1.1.5...
Installed parsec-3.1.11
Configuring data-default-0.7.1.1...
Configuring regex-posix-0.95.2...
Installed zlib-bindings-0.1.1.5
Building data-default-0.7.1.1...
Building regex-posix-0.95.2...
Configuring contravariant-1.4...
Installed data-default-0.7.1.1
Building contravariant-1.4...
Configuring monad-control-1.0.2.2...
Installed regex-posix-0.95.2
Building monad-control-1.0.2.2...
Configuring distributive-0.5.3...
Installed contravariant-1.4
Configuring streaming-commons-0.1.18...
Installed monad-control-1.0.2.2
Building streaming-commons-0.1.18...
Building distributive-0.5.3...
Warning: /tmp/pkgConf-distributive-0.57223085421820388464.3: Unrecognized
field dynamic-library-dirs on line 22
Configuring case-insensitive-1.2.0.10...
Installed distributive-0.5.3
Building case-insensitive-1.2.0.10...
Configuring scientific-0.3.5.2...
Installed case-insensitive-1.2.0.10
Configuring uuid-types-1.0.3...
Installed streaming-commons-0.1.18
Building scientific-0.3.5.2...
Building uuid-types-1.0.3...
Configuring unordered-containers-0.2.8.0...
Installed uuid-types-1.0.3
Configuring network-uri-2.6.1.0...
Installed scientific-0.3.5.2
Building unordered-containers-0.2.8.0...
Building network-uri-2.6.1.0...
Installed network-uri-2.6.1.0
Configuring lifted-base-0.2.3.11...
Building lifted-base-0.2.3.11...
Configuring comonad-5.0.2...
Installed lifted-base-0.2.3.11
Configuring attoparsec-0.13.2.0...
Installed unordered-containers-0.2.8.0
Building attoparsec-0.13.2.0...
Building comonad-5.0.2...
Warning: /tmp/pkgConf-comonad-5.01590079444434248626.2: Unrecognized field
dynamic-library-dirs on line 29
Configuring vault-0.3.0.7...
Installed comonad-5.0.2
Building vault-0.3.0.7...
Configuring bifunctors-5.4.2...
Installed attoparsec-0.13.2.0
Building bifunctors-5.4.2...
Installed vault-0.3.0.7
Configuring aeson-1.2.3.0...
Building aeson-1.2.3.0...
Configuring io-streams-1.4.1.0...
Installed bifunctors-5.4.2
Building io-streams-1.4.1.0...
Configuring websockets-0.12.2.0...
Installed io-streams-1.4.1.0
Building websockets-0.12.2.0...
Installed aeson-1.2.3.0
Configuring profunctors-5.2.1...
Building profunctors-5.2.1...
Configuring io-streams-haproxy-1.0.0.2...
Installed websockets-0.12.2.0
Building io-streams-haproxy-1.0.0.2...
Configuring snap-core-1.0.3.1...
Installed io-streams-haproxy-1.0.0.2
Building snap-core-1.0.3.1...
Installed profunctors-5.2.1
Installed snap-core-1.0.3.1
Configuring snap-server-1.0.3.3...
Building snap-server-1.0.3.3...
Installed snap-server-1.0.3.3
Configuring websockets-snap-0.10.2.3...
Building websockets-snap-0.10.2.3...
Installed websockets-snap-0.10.2.3
Configuring threepenny-gui-0.8.2.0...
Building threepenny-gui-0.8.2.0...
Installed threepenny-gui-0.8.2.0
Configuring threepenny-editors-0.5.6...
Building threepenny-editors-0.5.6...
Failed to install threepenny-editors-0.5.6
Build log ( /home/builder/.cabal/logs/threepenny-editors-0.5.6.log ):
cabal: Entering directory '/tmp/cabal-tmp-10041/threepenny-editors-0.5.6'
Configuring threepenny-editors-0.5.6...
Building threepenny-editors-0.5.6...
Preprocessing library threepenny-editors-0.5.6...
[1 of 7] Compiling Paths_threepenny_editors ( dist/build/autogen/Paths_threepenny_editors.hs, dist/build/Paths_threepenny_editors.o )
[2 of 7] Compiling Graphics.UI.Threepenny.Editors.Validation ( src/Graphics/UI/Threepenny/Editors/Validation.hs, dist/build/Graphics/UI/Threepenny/Editors/Validation.o )
[3 of 7] Compiling Graphics.UI.Threepenny.Editors.Utils ( src/Graphics/UI/Threepenny/Editors/Utils.hs, dist/build/Graphics/UI/Threepenny/Editors/Utils.o )
[4 of 7] Compiling Data.HasEmpty    ( src/Data/HasEmpty.hs, dist/build/Data/HasEmpty.o )
[5 of 7] Compiling Graphics.UI.Threepenny.Editors.Layout ( src/Graphics/UI/Threepenny/Editors/Layout.hs, dist/build/Graphics/UI/Threepenny/Editors/Layout.o )
[6 of 7] Compiling Graphics.UI.Threepenny.Editors.Types ( src/Graphics/UI/Threepenny/Editors/Types.hs, dist/build/Graphics/UI/Threepenny/Editors/Types.o )

src/Graphics/UI/Threepenny/Editors/Types.hs:324:43: error:
    Not in scope: ‘Set.lookupMax’
    Perhaps you meant one of these:
      ‘Set.lookupGE’ (imported from Data.Set),
      ‘Set.lookupGT’ (imported from Data.Set),
      ‘Set.lookupLE’ (imported from Data.Set)
    Module ‘Data.Set’ does not export ‘lookupMax’.
cabal: Leaving directory '/tmp/cabal-tmp-10041/threepenny-editors-0.5.6'
cabal: Error: some packages failed to install:
threepenny-editors-0.5.6 failed during the building phase. The exception was:
ExitFailure 1